<?php

namespace Drupal\Tests\editorial_access_manager\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Base test to check config is installed properly.
 */
class EditorialAccessManagerConfigInstallTest extends KernelTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = [
    'node',
    'editorial_access_manager',
  ];

  /**
   * Test that configuration is installed properly.
   */
  public function testConfigInstall() {
    $this->installConfig(['editorial_access_manager']);
    $config = $this->config('editorial_access_manager.settings');
    $entity_types = $config->get('entity_types');
    $this->assertIsArray($entity_types);
    $this->assertEmpty($entity_types);
  }

}
